List / filter leads
curl --request GET \
--url https://www.presolve.com/api/v1/leads \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.presolve.com/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/leads"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"leads": [
{
"id": "<string>",
"caseId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>",
"description": "<string>",
"caseType": "<string>",
"subCaseType": "<string>",
"leadType": "<string>",
"leadStatus": "<string>",
"caseMatchStatus": "<string>",
"turnDownReason": "<string>",
"turnDownNotes": "<string>",
"pendingTurndownAt": "<string>",
"highValue": true,
"injuryDescription": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmCampaignId": "<string>",
"utmAdgroupId": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"gclid": "<string>",
"gbraid": "<string>",
"gadSource": "<string>",
"trustedFormCertUrl": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Leads
List / filter leads
Requires the leads:read scope. Rate tier: read.
GET
/
api
/
v1
/
leads
List / filter leads
curl --request GET \
--url https://www.presolve.com/api/v1/leads \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.presolve.com/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.presolve.com/api/v1/leads"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"leads": [
{
"id": "<string>",
"caseId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"zipCode": "<string>",
"city": "<string>",
"state": "<string>",
"description": "<string>",
"caseType": "<string>",
"subCaseType": "<string>",
"leadType": "<string>",
"leadStatus": "<string>",
"caseMatchStatus": "<string>",
"turnDownReason": "<string>",
"turnDownNotes": "<string>",
"pendingTurndownAt": "<string>",
"highValue": true,
"injuryDescription": "<string>",
"utmSource": "<string>",
"utmMedium": "<string>",
"utmCampaign": "<string>",
"utmCampaignId": "<string>",
"utmAdgroupId": "<string>",
"utmTerm": "<string>",
"utmContent": "<string>",
"gclid": "<string>",
"gbraid": "<string>",
"gadSource": "<string>",
"trustedFormCertUrl": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Authorizations
Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 500Available options:
true, false Available options:
new_lead, screened_needs_match, matched_to_firm_marketplace, matched_to_firm_match_direct, pending_turndown, screened_turned_down, no_contact_turned_down, PromotedToCase, hidden, ContactInProgress, under_review_with_firm, PendingLead, ContactAttemptsMaxed, DuplicateLead, financing_lead, defendant, test_lead, pending_promotion, converted, matched_to_firm_signed_retainers, waiting_for_retainer Available options:
inbound_call, inbound_message, online_submission, financing_intake, online_contact_promoted, admin_upload, insta_lead_form, hubspot_lead, admin_financing_upload Required string length:
1 - 200Required string length:
2 - 200